summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Nikos Giotis <nikos.giotis@gmail.com>2018-02-11 12:13:36 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-17 07:42:52 +0700
commitbd3ce916361fb8f1954ea2d1a4739b931d7038f8 (patch)
tree68bf0ed81aaf2e83affafd3a173e8a9ab5db63f5 /perl
parentcb9efc78d9c3cd41fd21754508f560f1a75f2187 (diff)
downloadslackbuilds-bd3ce916361fb8f1954ea2d1a4739b931d7038f8.tar.gz
slackbuilds-bd3ce916361fb8f1954ea2d1a4739b931d7038f8.tar.xz
perl/perl-String-Similarity: Added (similarity of two strings).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-String-Similarity/README18
-rw-r--r--perl/perl-String-Similarity/perl-String-Similarity.SlackBuild104
-rw-r--r--perl/perl-String-Similarity/perl-String-Similarity.info10
-rw-r--r--perl/perl-String-Similarity/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/perl/perl-String-Similarity/README b/perl/perl-String-Similarity/README
new file mode 100644
index 0000000000..12dc351f3b
--- /dev/null
+++ b/perl/perl-String-Similarity/README
@@ -0,0 +1,18 @@
+perl-String-Similarity
+
+The similarity-function calculates the similarity index of its two
+arguments. A value of 0 means that the strings are entirely different.
+A value of 1 means that the strings are identical. Everything else
+lies between 0 and 1 and describes the amount of similarity between
+the strings.
+
+It roughly works by looking at the smallest number of edits to change
+one string into the other.
+
+You can add an optional argument $limit (default 0) that gives the
+minimum similarity the two strings must satisfy. similarity stops
+analyzing the string as soon as the result drops below the given limit,
+in which case the result will be invalid but lower than the given
+$limit. You can use this to speed up the common case of searching for
+the most similar string from a set by specifing the maximum similarity
+found so far.
diff --git a/perl/perl-String-Similarity/perl-String-Similarity.SlackBuild b/perl/perl-String-Similarity/perl-String-Similarity.SlackBuild
new file mode 100644
index 0000000000..12cd04219b
--- /dev/null
+++ b/perl/perl-String-Similarity/perl-String-Similarity.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for perl-String-Similarity
+
+# Copyright 2018 Nikos Giotis, Athens, GR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=perl-String-Similarity
+VERSION=${VERSION:-1.04}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING Changes README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-String-Similarity/perl-String-Similarity.info b/perl/perl-String-Similarity/perl-String-Similarity.info
new file mode 100644
index 0000000000..c5fa848c17
--- /dev/null
+++ b/perl/perl-String-Similarity/perl-String-Similarity.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-String-Similarity"
+VERSION="1.04"
+HOMEPAGE="https://metacpan.org/pod/String::Similarity"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/String-Similarity-1.04.tar.gz"
+MD5SUM="84936c1d393e92680a5d58039dcb9fd9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nikos Giotis"
+EMAIL="nikos.giotis@gmail.com"
diff --git a/perl/perl-String-Similarity/slack-desc b/perl/perl-String-Similarity/slack-desc
new file mode 100644
index 0000000000..0088c11bb1
--- /dev/null
+++ b/perl/perl-String-Similarity/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-String-Similarity: perl-String-Similarity (calculate the similarity of two strings)
+perl-String-Similarity:
+perl-String-Similarity: The similarity-function calculates the similarity index of its two
+perl-String-Similarity: arguments.
+perl-String-Similarity:
+perl-String-Similarity: Homepage: https://metacpan.org/pod/String::Similarity
+perl-String-Similarity:
+perl-String-Similarity:
+perl-String-Similarity:
+perl-String-Similarity:
+perl-String-Similarity: